## nova 2012.1.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXSOURCE 	= source
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SPHINXSOURCE)

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

.DEFAULT_GOAL 	= html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf nova.sqlite
	if [ -f .autogenerated ] ; then \
        cat .autogenerated | xargs rm ; \
        rm .autogenerated ; \
    fi

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nova.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nova.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
nova (2012.1.1-18) unstable; urgency=low

  * nova-common isn't anymore using /usr/share/doc to store configuration files
    used in the postinst, thanks to Ansgar for reporting it (Closes: #705117).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Apr 2013 19:05:41 +0800

nova (2012.1.1-17) unstable; urgency=low

  * Fixes wrong default file in postinst (Closes: #704544).

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Apr 2013 03:11:21 +0800

nova (2012.1.1-16) unstable; urgency=low

  * Fixes console auth after security fix (Closes: #703242).
  * Fixes a typo in debian/nova-common.postinst when activating NOVA_ENABLE.
  * Fixes the DSN in the case of PGSQL: now it really is postgresql:// and not
    pgsql://.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Mar 2013 13:32:52 +0800

nova (2012.1.1-15) unstable; urgency=low

  * CVE-2013-1838: Nova DoS by allocating all Fixed IPs (Closes: #703064).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Mar 2013 05:07:45 +0800

nova (2012.1.1-14) unstable; urgency=high

  * CVE-2013-0335: VNC proxy can connect to the wrong VM (Closes: #701773).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Feb 2013 12:32:52 +0000

nova (2012.1.1-13) unstable; urgency=high

  * CVE-2013-1664 & CVE-2013-1665: Information leak and Denial of Service using
    XML entities (Closes: #700949).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Feb 2013 13:39:34 +0800

nova (2012.1.1-12) unstable; urgency=high

  * CVE-2013-0208: Fixes boot from volume allows access to random volumes, with
  special thanks to TTX for making sure I was aware of it (Closes: #699266).

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Jan 2013 15:25:58 +0000

nova (2012.1.1-11) unstable; urgency=low

  * Fixes some wrong path to binaries in the rootwrap config (Closes: #695791).

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Dec 2012 15:57:49 +0000

nova (2012.1.1-10) unstable; urgency=low

  * Fixes capitalization in debian/po/es.po (Nova vs nova) (Closes: #687000).
  * Fixes some spaces in debian/po/zh_CN.po.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Sep 2012 07:23:36 +0000

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
	   Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 7.0.50),
 python-netaddr,
 python-distutils-extra,
 python-eventlet,
 python-m2crypto,
 python-all (>= 2.6.6-3~),
 python-lockfile,
 python-novaclient (>= 2.6.7),
 python-gflags,
 python-feedparser,
 python-suds (>= 0.4.0),
 python-coverage,
 python-greenlet,
 python-xattr,
 python-webob,
 python-glance,
 python-routes,
 python-libvirt,
 python-memcache,
 python-carrot,
 python-lxml,
 python-mox,
 python-boto,
 python-cheetah,
 python-nose,
 python-paramiko,
 python-paste,
 python-simplejson,
 python-xenapi,
 euca2ools,
 ipython,
 bpython,
 python-qpid,
 python-iso8601,
 openssh-client,
 pep8
Build-Depends-Indep:
 python-setuptools,
 python-sphinx (>> 1.0)
Build-Conflicts: python-cjson
Standards-Version: 3.9.3
Homepage: http://launchpad.net/nova
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/nova.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/nova.git

Package: python-nova
Architecture: all
Section: python
Depends: ${python:Depends},
 python-boto,
 python-m2crypto,
 python-pycurl,
 python-daemon,
 python-carrot,
 python-kombu,
 python-lockfile,
 python-gflags,
 openssl,
 python-libxml2,
 python-ldap,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-eventlet,
 python-routes,
 python-webob,
 python-cheetah,
 python-netaddr,
 python-paste,
 python-pastedeploy,
 python-tempita,
 python-migrate,
 python-glance,
 python-novaclient,
 python-simplejson,
 python-lxml,
 sudo,
  ${misc:Depends}
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Recommends: python-mysqldb
Description: OpenStack Compute - libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: sqlite3, python-amqplib, python-nova (= ${binary:Version}), ${python:Depends}, ${misc:Depends},
 adduser,
 python-iso8601,
 dbconfig-common
Suggests: python-pysqlite2 | python-mysqldb | python-pygresql
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: lsb-base (>= 3.0.6), adduser, qemu-utils, nova-common (= ${binary:Version}), kpartx, curl, parted, vlan, ebtables, gawk, iptables, open-iscsi, nova-compute-kvm | nova-compute-hypervisor,
 ${python:Depends}, ${misc:Depends}
Replaces: python-nova (<< 2012.1~rc1-1)
Breaks: python-nova (<< 2012.1~rc1-1)
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-lxc
Architecture: all
Depends: python-libvirt, libvirt-bin, ${misc:Depends}, adduser, nova-common
Provides: nova-compute-hypervisor
Conflicts: nova-compute-kvm, nova-compute-qemu, nova-compute-uml, nova-compute-xen
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-uml
Architecture: all
Depends: python-libvirt, libvirt-bin, user-mode-linux, ${misc:Depends}, adduser, nova-common
Provides: nova-compute-hypervisor
Conflicts: nova-compute-lxc, nova-compute-xen, nova-compute-qemu, nova-compute-kvm
Description: OpenStack Compute - compute node (UserModeLinux)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using UserModeLinux.

Package: nova-compute-xen
Architecture: all
Depends: python-xenapi, ${misc:Depends}, adduser, nova-common
Provides: nova-compute-hypervisor
Conflicts: nova-compute-lxc, nova-compute-uml, nova-compute-qemu, nova-compute-kvm
Description: OpenStack Compute - compute node (Xen)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes to remote-control a XenServer
 or an XCP (Xen Cloud Platform) cloud using Xen API.

Package: nova-compute-qemu
Architecture: all
Depends: python-libvirt, libvirt-bin, qemu, ${misc:Depends}, adduser, nova-common
Provides: nova-compute-hypervisor
Conflicts: nova-compute-lxc, nova-compute-uml, nova-compute-xen, nova-compute-kvm
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using QEmu.

Package: nova-compute-kvm
Architecture: all
Depends: python-libvirt, libvirt-bin, kvm, ${misc:Depends}, adduser, nova-common
Provides: nova-compute-hypervisor
Conflicts: nova-compute-lxc, nova-compute-uml, nova-compute-xen, nova-compute-qemu
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using KVM.

Package: nova-scheduler
Architecture: all
Depends: lsb-base (>= 3.0.6), nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: OpenStack Compute - virtual machine scheduler
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is the Nova scheduler.

Package: nova-volume
Architecture: all
Depends: lsb-base, nova-common (= ${binary:Version}), lvm2, tgt, ${python:Depends}, ${misc:Depends}
Replaces: python-nova (<< 2012.1~rc1-1)
Breaks: python-nova (<< 2012.1~rc1-1)
Suggests: sheepdog
Description: OpenStack Compute - storage
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a storage node.

Package: nova-api
Architecture: all
Recommends: python-keystone
Depends: lsb-base (>= 3.0.6), nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: OpenStack Compute - compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
# export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -fr doc/source/api
	rm -fr doc/build/man
	rm -fr doc/build/html
	rm -fr doc/build/doctress
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
endif

override_dh_install:
	dh_install
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	#install -D -m 0664 $(CURDIR)/debian/nova-volume.default $(CURDIR)/debian/nova-volume/etc/default/nova-volume
	for hypervisor in qemu kvm uml lxc; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	install -D -m 0600 $(CURDIR)/debian/nova-compute-xen.conf.dist $(CURDIR)/debian/nova-compute-xen/usr/share/doc/nova-compute-xen/nova-compute.conf.dist

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P
endif

override_dh_installinit:
	dh_installinit
	dh_installinit -pnova-console --name=nova-consoleauth

override_dh_installdocs:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	dh_installdocs
	ln -sf /usr/share/javascript/jquery/jquery.js $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html/_static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.min.js $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html/_static/underscore.js
else
override_dh_installman:
endif

override_dh_python2:
	dh_python2
	dh_python2  /usr/lib/xcp
	rm debian/python-nova/usr/lib/python2.6/dist-packages/nova/CA/.gitignore
	rm debian/python-nova/usr/lib/python2.6/dist-packages/nova/CA/projects/.gitignore
	rm debian/python-nova/usr/lib/python2.6/dist-packages/nova/CA/reqs/.gitignore
	rm debian/python-nova/usr/lib/python2.7/dist-packages/nova/CA/.gitignore
	rm debian/python-nova/usr/lib/python2.7/dist-packages/nova/CA/projects/.gitignore
	rm debian/python-nova/usr/lib/python2.7/dist-packages/nova/CA/reqs/.gitignore

get-vcs-source:
	git remote add upstream git://github.com/openstack/nova.git || true
	git fetch upstream
	git archive --prefix=nova-2012.1/ 2012.1 | xz >../nova_2012.1.orig.tar.xz
	if ! git checkout master ; then \
		echo "No upstream branch: checking out" ; \
		git checkout -b master upstream/master ; \
	fi
	git checkout debian/unstable

display-po-stats:
	cd $(CURDIR)/debian/po ; for i in *.po ; do \
		echo -n $$i": " ; \
		msgfmt -o /dev/null --statistic $$i ; \
	done

call-for-po-trans:
	podebconf-report-po --call --withtranslators --languageteam

## nova 2012.1.3+stable-20120827-4d2a4afe

=== debian/changelog ===
nova (2012.1.3+stable-20120827-4d2a4afe-0ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: fix lack of authentication on block device used for
    os-volume_boot
    - debian/patches/CVE-2013-0208.patch: adjust nova/compute/api.py to
      validate we can access the volumes
    - CVE-2013-0208

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 23 Jan 2013 13:03:11 -0600

nova (2012.1.3+stable-20120827-4d2a4afe-0ubuntu1) precise-proposed; urgency=low

  * New upstream snapshot, fixes FTBFS in -proposed. (LP: #1041120)
  * Resynchronize with stable/essex (4d2a4afe):
    - [5d63601] Inappropriate exception handling on kvm live/block migration
      (LP: #917615)
    - [ae280ca] Deleted floating ips can cause instance delete to fail
      (LP: #1038266)

 -- Adam Gandelman <adamg@canonical.com>  Mon, 27 Aug 2012 14:50:40 -0700

nova (2012.1.3+stable-20120824-86fb7362-0ubuntu1) precise-proposed; urgency=low

  * New upstream snapshot. (LP: #1041120)
  * Dropped, superseded by new snapshot:
    - debian/patches/CVE-2012-3447.patch: [d9577ce]
    - debian/patches/CVE-2012-3371.patch: [25f5bd3]
    - debian/patches/CVE-2012-3360+3361.patch: [b0feaff]
  * Resynchronize with stable/essex (86fb7362):
    - [86fb736] Libvirt driver reports incorrect error when volume-detach fails
      (LP: #1029463)
    - [272b98d] nova delete lxc-instance umounts the wrong rootfs (LP: #971621)
    - [09217ab] Block storage connections are NOT restored on system reboot
      (LP: #1036902)
    - [d9577ce] CVE-2012-3361 not fully addressed (LP: #1031311)
    - [e8ef050] pycrypto is unused and the existing code is potentially insecure
      to use (LP: #1033178)
    - [3b4ac31] cannot umount guestfs  (LP: #1013689)
    - [f8255f3] qpid_heartbeat setting in ineffective (LP: #1030430)
    - [413c641] Deallocation of fixed IP occurs before security group refresh
      leading to potential security issue in error / race conditions
      (LP: #1021352)
    - [219c5ca] Race condition in network/deallocate_for_instance() leads to
      security issue (LP: #1021340)
    - [f2bc403] cleanup_file_locks does not remove stale sentinel files
      (LP: #1018586)
    - [4c7d671] Deleting Flavor currently in use by instance creates error
      (LP: #994935)
    - [7e88e39] nova testsuite errors on newer versions of python-boto (e.g.
      2.5.2) (LP: #1027984)
    - [80d3026] NoMoreFloatingIps: Zero floating ips available after repeatedly
      creating and destroying instances over time (LP: #1017418)
    - [4d74631] Launching with source groups under load produces lazy load error
      (LP: #1018721)
    - [08e5128] API 'v1.1/{tenant_id}/os-hosts' does not return a list of hosts
      (LP: #1014925)
    - [801b94a] Restarting nova-compute removes ip packet filters (LP: #1027105)
    - [f6d1f55] instance live migration should create virtual_size disk image
      (LP: #977007)
    - [4b89b4f] [nova][volumes] Exceeding volumes, gigabytes and floating_ips
      quotas returns general uninformative HTTP 500 error (LP: #1021373)
    - [6e873bc] [nova][volumes] Exceeding volumes, gigabytes and floating_ips
      quotas returns general uninformative HTTP 500 error (LP: #1021373)
    - [7b215ed] Use default qemu-img cluster size in libvirt connection driver
    - [d3a87a2] Listing flavors with marker set returns 400 (LP: #956096)
    - [cf6a85a] nova-rootwrap hardcodes paths instead of using
      /sbin:/usr/sbin:/usr/bin:/bin (LP: #1013147)
    - [2efc87c] affinity filters don't work if scheduler_hints is None
      (LP: #1007573)
    - [48e5f46] metadata injection is broken in xen (LP: #1022036)
    - [25f5bd3] scheduler hang (DOS) possible with
      DifferentHostFilter/SameHostFilter  (LP: #1017795)
    - [1c1b858] cannot umount guestfs  (LP: #1013689)
    - [835ba4f] not able to get host total memory in xen with libvirt
      (LP: #1004298)
    - [00e5104] Call to network_get_all_by_uuids missing 'db' (LP: #986922)
    - [4c49df7] [nova][volumes] Exceeding volumes, gigabytes and floating_ips
      quotas returns general uninformative HTTP 500 error (LP: #1021373)
    - [19631f3] [nova][volumes] Exceeding volumes quotas logs
      "VolumeSizeTooLarge" instead of "VolumeLimitExceeded"  (LP: #1020634)
    - [b0feaff] Remote arbitrary file corruption / creation flaw via injected
      files (LP: #1015531)
    - [3cb6e57] NoMoreFixedIps: Zero fixed ips available. Nova seems leaking
      them. (LP: #1014769)
    - [5d8431b] ram_allocation_ratio does not work (LP: #1016273)
    - [410060f] test_get_console_output_file requires sudo NOPASSWD
      (LP: #992805)
    - [33c2575] Stop/start a KVM instance with volumes attached produces an
      error state (LP: #1013782)
    - [6c01c01] Backport tox settings to unbreak jenkins jobs.
    - [344125f] Set defaultbranch in .gitreview to stable/essex
    - [9b789be] floating ips are not disassociated from instances on deletion
      (LP: #997763)
    - [d89c2f3] qpid timeout causing compute service to crash (LP: #999698)
    - [caae0e9] floating ips do not display in 'nova list' after association to
      instance (LP: #939122)
    - [1dc9f19] impl_qpid doesn't ACK messages (LP: #1012374)
    - [bc621bc] Restarting nova-network removes ip packet filters
      (LP: #1000853)
    - [7870157] Add caching to openstack.common.cfg
    - [27133ee] Firewall rules from nova-compute are not refreshed after host
      reboot (LP: #985162)
    - [3ee026e] Source group based security group rule without protocol and port
      causes failures (LP: #1010514)
    - [f0a9f47] [SRU] dns_domains table mysql charset is 'latin1'. Should be
      'utf8' (LP: #993663)
    - [cc8fd97] euca-describe-keypair NonExistent returns 200 (LP: #1006664)
    - [9f9e9da] Security groups fail to be set correctly if incorrect case is
      used for protocol specification (LP: #985184)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 24 Aug 2012 02:09:33 -0400



=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders: Soren Hansen <soren@ubuntu.com>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~) | python-support,
Build-Depends-Indep:
 openssh-client,
 openssl,
 python-setuptools,
 python-sphinx (>> 1.0),
 python-distutils-extra,
 python-gflags,
 python-mox,
 python-carrot,
 python-kombu,
 python-boto,
 python-amqplib,
 openssh-client,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-eventlet,
 python-routes,
 python-webob,
 python-cheetah,
 python-nose,
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-tempita,
 python-migrate,
 python-netaddr,
 python-glance,
 python-paramiko,
 python-novaclient,
 python-lockfile,
 python-simplejson,
 python-lxml,
 python-unittest2,
 python-daemon,
 python-suds,
 python-xattr,
 python-feedparser,
 python-crypto,
 python-iso8601,
 pep8
Build-Conflicts: python-cjson
Standards-Version: 3.9.2
Homepage: http://launchpad.net/nova
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/essex/debian/files
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/essex


Package: python-nova
Architecture: all
Section: python
Depends: ${python:Depends},
 openssh-client,
 openssl,
 python-boto,
 python-m2crypto,
 python-pycurl,
 python-daemon,
 python-carrot,
 python-kombu,
 python-lockfile,
 python-gflags,
 python-libxml2,
 python-ldap,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-eventlet,
 python-routes,
 python-webob,
 python-cheetah,
 python-netaddr,
 python-paste,
 python-pastedeploy,
 python-tempita,
 python-migrate,
 python-netaddr,
 python-glance,
 python-novaclient,
 python-simplejson,
 python-lxml,
 python-feedparser,
 python-xattr,
 python-daemon,
 python-suds,
 python-iso8601,
 sudo,
 ${misc:Depends}
Suggests: python-suds (>= 0.4.0),
Conflicts: python-cjson
XB-Python-Version: ${python:Versions}
Recommends: python-mysqldb
Provides: ${python:Provides}
Description: OpenStack Compute Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: python-amqplib, python-nova (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, adduser
Provides: ${python:Provides}
Suggests: python-keystone
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: lsb-base (>= 3.0.6),  nova-common (= ${binary:Version}), qemu-utils, kpartx, curl, parted, vlan, 
 ebtables, gawk, iptables, open-iscsi, nova-compute-kvm | nova-compute-hypervisor,
 ${python:Depends}, ${misc:Depends}
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-lxc
Architecture: all
Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using LXC.

Package: nova-compute-uml
Architecture: all
Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, user-mode-linux, ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (UserModeLinux)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using UserModeLinux.

Package: nova-compute-xen
Architecture: all
Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386,
  ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (Xen)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using Xen.

Package: nova-compute-qemu
Architecture: all
Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, qemu, ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using QEmu.

Package: nova-compute-kvm
Architecture: all
Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, kvm, ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using kvm.

Package: nova-compute-xcp
Architecture: all
Depends: nova-compute (= ${binary:Version}), python-xenapi, ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (XCP)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using xcp

Package: nova-xcp-plugins
Architecture: all
Depends: xcp-xapi, ${python:Depends}, ${misc:Depends}
Description: OpenStack Compute plugin for the Xen Cloud Platform
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

# Lucid does not have dh_python2, but we would like to be able to use this
# rules file to build on lucid as well. Thus the branching logic.
WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")

%:
	dh $@ ${WITH_PYTHON2}

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot

debian/nova-compute.postinst: debian/nova-compute.postinst.in
	if dpkg-vendor --derives-from ubuntu ; then \
		LIBVIRTGRP=libvirtd; \
	else \
		LIBVIRTGRP=libvirt; \
	fi; \
	sed -e "s/%LIBVIRTGRP%/$$LIBVIRTGRP/" < $< > $@

override_dh_auto_build: debian/nova-compute.postinst
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
else
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
	touch $(CURDIR)/doc/build/man/nova-manage.1
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area


UPSTREAM_GIT=git://github.com/openstack/nova.git
DEBIAN_VERSION=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
DEBIAN_NAME=nova

get-orig-source-git:
	git clone $(UPSTREAM_GIT) $(DEBIAN_NAME)
	cd $(DEBIAN_NAME) ; \
        git checkout stable/essex ; \
	python setup.py sdist ; \
	mv dist/nova-2012.1.tar.gz ../nova_$(DEBIAN_VERSION).orig.tar.gz


override_dh_install:
	dh_install
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 0664 $(CURDIR)/debian/nova-volume.default	$(CURDIR)/debian/nova-volume/etc/default/nova-volume
	for hypervisor in qemu kvm xen uml lxc; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N
endif

override_dh_installinit:
	if dpkg-vendor --derives-from ubuntu ; then \
		for i in debian/*.upstart.in ; do \
			MYPKG=`echo $$i | cut -d. -f1` ; \
			cp $$MYPKG.upstart.in $$MYPKG.upstart ; \
		done ; \
	fi
	dh_installinit --error-handler=true

override_dh_python2:
	dh_python2
	dh_python2  /usr/lib/xcp

override_dh_installlogrotate:
	dh_installlogrotate
	dh_installlogrotate --name=nova-manage
	dh_installlogrotate --name=nova-dhcpbridge

=== debian/watch ===
version=3
http://launchpad.net/nova/+download http://launchpad.net/nova/.*/nova-(.*).tar.*
http://nova.openstack.org/tarballs/ nova-(.*).tar.gz

## nova 2012.1.3+stable-20130423-e52e6912

=== debian/changelog ===
nova (2012.1.3+stable-20130423-e52e6912-0ubuntu1.4) precise-security; urgency=medium

  * SECURITY UPDATE: ssl not enforced when qpid_protocol is set to ssl
    - debian/patches/CVE-2013-6491.patch: set the right parameter in
      nova/rpc/impl_qpid.py
    - LP: #1158807
    - CVE-2013-6491
  * SECURITY UPDATE: information disclosure via incorrect KVM live block
    migration
    - debian/patches/CVE-2013-7130.patch: fix root disk leak in
      nova/virt/libvirt/connection.py, add upstream test and additional test
      (test_create_images_and_backing_full()) to nova/tests/test_libvirt.py
    - CVE-2013-7130
  * SECURITY UPDATE: denial of service via disk consumption
    - debian/patches/CVE-2013-446x.patch: don't boot oversized images in
      nova/virt/images.py, and nova/virt/libvirt/connection.py. Update tests
      in nova/tests/test_libvirt.py
    - CVE-2013-4463
    - CVE-2013-4469

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 14 May 2014 15:14:36 -0500

nova (2012.1.3+stable-20130423-e52e6912-0ubuntu1.2) precise-security; urgency=low

  * SECURITY UPDATE: denial of service with network security group policy
    updates
    - debian/patches/CVE-2013-4185.patch: use cached nwinfo for secgroup rules
      (LP: #1184041)
    - CVE-2013-4185

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 21 Oct 2013 17:52:13 -0500

nova (2012.1.3+stable-20130423-e52e6912-0ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: verify virtual size of QCOW2 images
    - CVE-2013-2096.patch: update nova/virt/libvirt/connection.py to check
      QCOW2 image size during root disk creation
    - CVE-2013-2096

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 15 May 2013 16:37:20 -0500

nova (2012.1.3+stable-20130423-e52e6912-0ubuntu1) precise-proposed; urgency=low

  * Resynchronize with stable/essex (e52e6912) (LP: #1089488):
    - [48e81f1] VNC proxy can be made to connect to wrong VM LP: 1125378
    - [3bf5a58] snat rule too broad for some network configurations LP: 1048765
    - [efaacda] DOS by allocating all fixed ips LP: 1125468
    - [b683ced] Add nosehtmloutput as a test dependency.
    - [45274c8] Nova unit tests not running, but still passing for stable/essex
      LP: 1132835
    - [e02b459] vnc unit-test fixes
    - [87361d3] Jenkins jobs fail because of incompatibility between sqlalchemy-
      migrate and the newest sqlalchemy-0.8.0b1 (LP: #1073569)
    - [e98928c] VNC proxy can be made to connect to wrong VM LP: 1125378
    - [c0a10db] DoS through XML entity expansion (CVE-2013-1664) LP: 1100282
    - [243d516] No authentication on block device used for os-volume_boot
      LP: 1069904
    - [80fefe5] use_single_default_gateway does not function correctly
      (LP: #1075859)
    - [bd10241] Essex 2012.1.3 : Error deleting instance with 2 Nova Volumes
      attached (LP: #1079745)
    - [86a5937] do_refresh_security_group_rules in nova.virt.firewall is very
      slow (LP: #1062314)
    - [ae9c5f4] deallocate_fixed_ip attempts to update an already deleted
      fixed_ip (LP: #1017633)
    - [20f98c5] failed to allocate fixed ip because old deleted one exists
      (LP: #996482)
    - [75f6922] snapshot stays in saving state if the vm base image is deleted
      (LP: #921774)
    - [1076699] lock files may be removed in error dues to permissions issues
      (LP: #1051924)
    - [40c5e94] ensure_default_security_group() does not call sgh (LP: #1050982)
    - [4eebe76] At termination, LXC rootfs is not always unmounted before
      rmtree() is called (LP: #1046313)
    - [47dabb3] Heavily loaded nova-compute instances don't sent reports
      frequently enough (LP: #1045152)
    - [b375b4f] When attach volume lost attach when node restart (LP: #1004791)
    - [4ac2dcc] nova usage-list returns  wrong usage (LP: #1043999)
    - [014fcbc] Bridge port's hairpin mode not set after resuming a machine
      (LP: #1040537)
    - [2f35f8e] Nova flavor ephemeral space size reported incorrectly
      (LP: #1026210)
  * Dropped, superseeded by new snapshot:
    - debian/patches/CVE-2013-0335.patch: [48e81f1]
    - debian/patches/CVE-2013-1838.patch: [efaacda]
    - debian/patches/CVE-2013-1664.patch: [c0a10db]
    - debian/patches/CVE-2013-0208.patch: [243d516]

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 22 Apr 2013 12:37:08 +0200

nova (2012.1.3+stable-20120827-4d2a4afe-0ubuntu1.4) precise-security; urgency=low

  * SECURITY UPDATE: fix denial of service via fixed IPs when using extensions
    - debian/patches/CVE-2013-1838.patch: add explicit quota for fixed IP
    - CVE-2013-1838
    - LP: #1125468
  * SECURITY UPDATE: fix VNC token validation
    - debian/patches/CVE-2013-0335*.patch: force console auth service to flush
      all tokens associated with an instance when it is deleted
    - CVE-2013-0335
    - LP: #1125378

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 20 Mar 2013 10:07:08 -0500

nova (2012.1.3+stable-20120827-4d2a4afe-0ubuntu1.2) precise-security; urgency=low

  * SECURITY UPDATE: fix denial of service
    - CVE-2013-1664.patch: Add a new utils.safe_minidom_parse_string function
      and update external API facing Nova modules to use it
    - CVE-2013-1664

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 19 Feb 2013 11:45:46 -0600
